package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * 用户类
 * 
 * @author admin
 *
 */
@Document(collection = "Person")
public class Person implements Serializable {

	@Indexed
	@Id
	private String personId;
	@Field("username")
	private String username;
	@Field("password")
	private String password;
	@Field("lv")
	private int lv;
	private String creator;
	private Date createDate;
	private Date lastLogin;

	public Date getLastLogin() {
		return lastLogin;
	}

	public void setLastLogin(Date lastLogin) {
		this.lastLogin = lastLogin;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getPersonId() {
		return personId;
	}

	public void setPersonId(String personId) {
		this.personId = personId;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getLv() {
		return lv;
	}

	public void setLv(int lv) {
		this.lv = lv;
	}

	@Override
	public String toString() {
		return "Person [personId=" + personId + ", username=" + username + ", password=" + password + ", lv=" + lv
				+ ", creator=" + creator + ", createDate=" + createDate + ", lastLogin=" + lastLogin + "]";
	}

}
